Package org.zkoss.zkmax.au.websocket

## Class Attributes

- java.lang.Object
- - org.zkoss.zkmax.au.websocket.Attributes

-     public class Attributes
      extends java.lang.Object

  Attributes used internally for WebSocket connections only.
  Since:
    8.5.0
  Author:
    wenninghsu

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `WS_CONNECTION_TIMEOUT` | The timeout in milliseconds for each connection attempt at client.
    `static java.lang.String` | `WS_ECHO` | The pong message to ask client to send a dummy ping message.
    `static java.lang.String` | `WS_EP` | The name of an item which stores the websocket serverpush class in desktop storage.
    `static java.lang.String` | `WS_HANDSHAKE_REQUEST` | The name of an attribute which stores the handshake request of the websocket connection in desktop.
    `static java.lang.String` | `WS_HANDSHAKE_RESPONSE` | The name of an attribute which stores the handshake response of the websocket connection in desktop.
    `static int` | `WS_OK_STATUS` | A status number representing the pong message is successful in websocket connection.
    `static java.lang.String` | `WS_PING` | The ping message to ask client to send a pong message.
    `static java.lang.String` | `WS_PING_INTERVAL_SECOND` | The ping mechanism interval in second.
    `static java.lang.String` | `WS_PING_SCHEDULING_POOL_SIZE` | The heartbeat mechanism thread pool size.
    `static java.lang.String` | `WS_PING_TIMEOUT_SECOND` | The heartbeat mechanism timeout in second (only `WS_PING_INTERVAL_SECOND` is greater than 0) Default: 20 seconds.
    `static java.lang.String` | `WS_PONG` | The pong message sent by client.
    `static java.lang.String` | `WS_RECONNECTION` | The websocket client reconnection whether is enabled or not.
    `static java.lang.String` | `WS_RECONNECTION_ATTEMPTS` | The number of reconnection attempts before giving up for the websocket client.
    `static java.lang.String` | `WS_RECONNECTION_DELAY` | The initial delay before reconnection in milliseconds for the websocket client.
    `static java.lang.String` | `WS_RECONNECTION_DELAY_MAX` | The maximum delay between two reconnection attempts for the websocket client.
    `static int` | `WS_SERVER_ERROR_STATUS` | A status number representing a server error is occurred when a pong message is received in websocket connection.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Attributes()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WS_HANDSHAKE_REQUEST

          public static final java.lang.String WS_HANDSHAKE_REQUEST

      The name of an attribute which stores the handshake request of the websocket connection in desktop.
      Since:
        8.5.0
      See Also:
        Constant Field Values

    - #### WS_HANDSHAKE_RESPONSE

          public static final java.lang.String WS_HANDSHAKE_RESPONSE

      The name of an attribute which stores the handshake response of the websocket connection in desktop.
      Since:
        8.5.0
      See Also:
        Constant Field Values

    - #### WS_EP

          public static final java.lang.String WS_EP

      The name of an item which stores the websocket serverpush class in desktop storage.
      Since:
        8.5.0
      See Also:
        Constant Field Values

    - #### WS_OK_STATUS

          public static final int WS_OK_STATUS

      A status number representing the pong message is successful in websocket connection.
      Since:
        8.5.0
      See Also:
        Constant Field Values

    - #### WS_SERVER_ERROR_STATUS

          public static final int WS_SERVER_ERROR_STATUS

      A status number representing a server error is occurred when a pong message is received in websocket connection.
      Since:
        8.5.0
      See Also:
        Constant Field Values

    - #### WS_ECHO

          public static final java.lang.String WS_ECHO

      The pong message to ask client to send a dummy ping message.
      Since:
        8.5.0
      See Also:
        Constant Field Values

    - #### WS_PING_INTERVAL_SECOND

          public static final java.lang.String WS_PING_INTERVAL_SECOND

      The ping mechanism interval in second. <= 0 means turned off. Default: 25 seconds (since 9.6.1)
      Since:
        9.5.0
      See Also:
        Constant Field Values

    - #### WS_PING_TIMEOUT_SECOND

          public static final java.lang.String WS_PING_TIMEOUT_SECOND

      The heartbeat mechanism timeout in second (only `WS_PING_INTERVAL_SECOND` is greater than 0) Default: 20 seconds.
      Since:
        9.6.1
      See Also:
        Constant Field Values

    - #### WS_PING_SCHEDULING_POOL_SIZE

          public static final java.lang.String WS_PING_SCHEDULING_POOL_SIZE

      The heartbeat mechanism thread pool size. Default: 1.
      Since:
        9.6.1
      See Also:
        Constant Field Values

    - #### WS_CONNECTION_TIMEOUT

          public static final java.lang.String WS_CONNECTION_TIMEOUT

      The timeout in milliseconds for each connection attempt at client. Default: 20000 ms.
      Since:
        9.6.1
      See Also:
        Constant Field Values

    - #### WS_RECONNECTION

          public static final java.lang.String WS_RECONNECTION

      The websocket client reconnection whether is enabled or not. Default: true.
      Since:
        9.6.1
      See Also:
        Constant Field Values

    - #### WS_RECONNECTION_ATTEMPTS

          public static final java.lang.String WS_RECONNECTION_ATTEMPTS

      The number of reconnection attempts before giving up for the websocket client. Default: Infinity.
      Since:
        9.6.1
      See Also:
        Constant Field Values

    - #### WS_RECONNECTION_DELAY

          public static final java.lang.String WS_RECONNECTION_DELAY

      The initial delay before reconnection in milliseconds for the websocket client. Default: 1000 ms.
      Since:
        9.6.1
      See Also:
        Constant Field Values

    - #### WS_RECONNECTION_DELAY_MAX

          public static final java.lang.String WS_RECONNECTION_DELAY_MAX

      The maximum delay between two reconnection attempts for the websocket client. Each attempt increases the reconnection delay by 2x. Default: 5000 ms.
      Since:
        9.6.1
      See Also:
        Constant Field Values

    - #### WS_PING

          public static final java.lang.String WS_PING

      The ping message to ask client to send a pong message.
      Since:
        9.6.1
      See Also:
        Constant Field Values

    - #### WS_PONG

          public static final java.lang.String WS_PONG

      The pong message sent by client.
      Since:
        9.6.1
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Attributes

          public Attributes()